function(_STK_VERIFY_CODE _OUT_good _file)
  file(READ ${_file} _contents)
  if (_contents)
	string(REGEX MATCH ".*void setAttackTarget\\(.*\\);" ${_OUT_good} "${_contents}")
    set(${_OUT_good} ${${_OUT_good}} PARENT_SCOPE)
  else()
	message(FATAL_ERROR "Include file ${_file} does not exist")
  endif()
endfunction()

find_path(STK_INCLUDE_DIR Stk.h PATH_SUFFIXES stk)
message(STATUS "Stk Include: " ${STK_INCLUDE_DIR})
if (STK_INCLUDE_DIR)
  _STK_VERIFY_CODE(STK_GOOD ${STK_INCLUDE_DIR}/ADSR.h)
  if (NOT STK_GOOD)
	message(FATAL_ERROR "Incorrect version of STK. Version must be >= 4.4.3.")
  endif()
endif()
find_library(STK_LIBRARY stk)

set(STK_INCLUDE_DIRS ${STK_INCLUDE_DIR} )
set(STK_LIBRARIES ${STK_LIBRARY} )

include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(STK DEFAULT_MSG STK_LIBRARY STK_INCLUDE_DIR)